Bug 9094 - Netscape causes desktop server to crash
Netscape causes desktop server to crash
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-03 09:40 EST by jonathanlsmith
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-13 21:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jonathanlsmith 2000-02-03 09:40:25 EST
Using GNOME or KDE desktop, when I go to certain sites, like
www.gnome.org, netscape closes (as well as the desktop server) then I end
up at the login screen (I have to login again).

I upgraded to the latest version of netscape, problem still occurs.

I have a pentium 200Mhz machine, running 96 MB of Ram.

Thank You.
Comment 1 Bill Nottingham 2000-02-03 10:36:59 EST
I can not reproduce this here at all. Do you have any
swap set up?
Comment 2 jonathanlsmith 2000-02-03 12:40:59 EST
I have 100 MB of swap set up.  Is there a debug util or a log I can turn on to
record what happens?  When I go to www.gnome.org, it doesnt happen until I try
going to the end of the page, if that helps at all.  This does not occur when
using the kfm browser.  I have another version of RH running on another machine
with the same version of netscape and this problem does not occur.  It must
have to do with the environment of RH 6.1.


Any suggestions?

Thanks.
Comment 3 jonathanlsmith 2000-02-03 13:05:59 EST
Here is what I find in the .xsession-errors:

SESSION_MANAGER=local/dilbert:/tmp/.ICE-unix/1628,tcp/dilbert:1317
xscreensaver-command: no screensaver is running on display :0.0
Xlib: connection to ":0.0" refused by server^M
Xlib: Client is not authorized to connect to Server^M
xscreensaver: Can't open display: :0
xscreensaver: initial effective uid/gid was root/root (0/0)
xscreensaver: running as nobody/nobody (99/99)

xscreensaver: Errors at startup are usually authorization problems.
              Did you read the manual?  Specifically, the parts
              that talk about XAUTH, XDM, and root logins?

              http://www.jwz.org/xscreensaver/man.html

subshell.c: couldn't get terminal settings: Inappropriate ioctl for device
rm: cannot remove `/root/.enlightenment/...e_session-XXXXXX*.clients.*': No such
 file or directory

GnomeUI-WARNING **: Could not open help topics file NULL
/bin/sh: /usr/bin/netscape-communicator: No such file or directory

Gtk-WARNING **: invalid cast from `GnomeIconEntry' to `GtkEditable'


): assertion `GTK_IS_EDITABLE(editable)' failed.
Gtk-WARNING **: invalid cast from `GnomeIconEntry' to `GtkEditable'

GnomeUI-CRITICAL **: file gnome-dialog.c: line 958 (gnome_dialog_editable_enters
): assertion `GTK_IS_EDITABLE(editable)' failed.
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).

Thanks.
Comment 4 Bill Nottingham 2000-02-03 13:34:59 EST
That just means that the X server died. In some cases where
it spontaenously falls over like this it can be traced to bad
hardware. Can you compile a kernel or other
large program successfully?
Comment 5 jonathanlsmith 2000-02-03 14:20:59 EST
When I try to compile the kernel, I get the following error:


gcc: Internal compiler error: program cc1 got fatal signal 11
make[2]: *** [sysctl.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.2.12/kernel'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.12/kernel'
make: *** [_dir_kernel] Error 2
[root@dilbert linux]# {standard input}: Assembler messages:
{standard input}:0: Warning: end of file not at end of a line; newline inserted
{standard input}:906: Error: no such 386 instruction: `m'
cpp: output pipe has been closed

What does this mean and can I fix this problem?

Thanks.
Comment 6 Bill Nottingham 2000-02-03 14:41:59 EST
You most likely have faulty RAM, or other hardware.

See http://www.bitwizard.nl/sig11/.
Comment 7 jonathanlsmith 2000-02-04 10:56:59 EST
After going to the recommended site, I now realize that I have a Cyrix 6x86.  I
have swapped out RAM, IDE cables and cleaned off my board, same problem.  I can
load OpenLinux without issues.  I am sure this is a problem with the Chip, but
was wondering if there are any workaround for the chip.  I had a similar
problem on a Cyrix 150 some time back and RH distributed a workaround for the
buggy chip.

I am going to try 6.0 to see if the same problem occurs.

Any more suggestion are welcome.
Comment 8 jonathanlsmith 2000-02-04 16:34:59 EST
I just downloaded version 6.0, installed and successfully recompiled the
kernel; seem to have no issues with netscape as well.  I find it hard to
believe that this is a hardware issue, when another version of the os runs just
fine.  I think there is a problem with 6.1 and at least the chip I am using (a
Cyrix 686).  Unless there are some other tests I can run to confirm the alleged
hardware problem, I believe this is a software/os issue.
Comment 9 karlamber 2000-04-05 23:36:59 EDT
I am seeing this very same thing on a Cyrix 166+ CPU with 32mb of RAM. This
memory has been swapped and runs great under Windows NT and 98.  I don't see any
updates from RedHat - will this be fixed or do I have to download 6.2??
Comment 10 Alan Cox 2002-12-13 21:27:15 EST
As far as we could tell the Cyrix 1.x bugs were hardware. Cyrix confirmed that
in part.

Note You need to log in before you can comment on or make changes to this bug.